### Method

# FwupdPlugin Firmware get_stream

#### Declaration [src]

    GInputStream*
    fu_firmware_get_stream (
      FuFirmware* self
      GError** error
    )

#### Description [src]

Gets the input stream which was used to parse the firmware.

Available since: | 2.0.0

#### Return value

Returns: | `GInputStream`
| A `GInputStream`, or `NULL` if the payload has never been set.
| The caller of the method takes ownership of the data, and is responsible for freeing it.